Bug 160666 - [maintainer-update] p5-Sys-Filesystem default package builds on amd64 platform
Summary: [maintainer-update] p5-Sys-Filesystem default package builds on amd64 platform
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Chris Rees
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-09-11 21:50 UTC by Jim Pirzyk
Modified: 2011-11-28 20:38 UTC (History)
0 users

See Also:


Attachments
file.diff (1.16 KB, patch)
2011-09-11 21:50 UTC, Jim Pirzyk
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Pirzyk freebsd_committer 2011-09-11 21:50:06 UTC
Not sure why this was put in the Makefile, but p5-Sys-Filesystem builds on amd64 the same as all other platforms (i.e. i386, sparc, etc).  Removing the block to create the package on amd64.

Fix: Patch attached with submission follows:
How-To-Repeat: ftp ftp.freebsd.org and look for p5-Sys-Filesystem, the pre-built package does not exist.
Comment 1 Chris Rees freebsd_committer 2011-10-30 20:43:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->crees

I'll take it.
Comment 2 Chris Rees freebsd_committer 2011-11-13 16:49:56 UTC
State Changed
From-To: open->feedback

Sorry about the huge delay. I've spoken with pav@ about this problem; 
there is no fstab on the build machines, therefore it will not build on 
them.  I would suggest that we make this MANUAL_PACKAGE_BUILD on all 
archs, since this is the case.  Alternatively, you could find a way to 
let the port build in the absence of /etc/fstab?
Comment 3 Chris Rees 2011-11-15 18:56:50 UTC
Just a thought.

We could fake an fstab with an empty one, and trick the configure
script into reading that.

Does this work for you?

http://www.bayofrum.net/~crees/patches/p5-Sys-Filesystem.patch

Chris
Comment 4 Jim Pirzyk freebsd_committer 2011-11-16 00:07:49 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

That sounds like a reasonable test.  Looking at the code, it does not =
complain if the fstab file is empty.  So why does the system have no =
/etc/fstab file?

- - JimP

On Nov 15, 2011, at 1:56 PM, Chris Rees wrote:

> Just a thought.
>=20
> We could fake an fstab with an empty one, and trick the configure
> script into reading that.
>=20
> Does this work for you?
>=20
> http://www.bayofrum.net/~crees/patches/p5-Sys-Filesystem.patch
>=20
> Chris

- --- @(#) $Id: dot.signature,v 1.15 2007/12/27 15:06:13 pirzyk Exp $
    __o  jim@pirzyk.org =
--------------------------------------------------
 _'\<,_
(*)/ (*) I'd rather be out biking.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (Darwin)

iFcDBQFOwv7WUQdE3d8ckhQRCMVzAP4nk9iTQezy5V2OelG8rds31Rar+YFbozFp
uoPRZL5JVwD+Joil7wyI04SR6JumPuUzwyhKUFWXwjuv5+8sPxCqYpM=3D
=3DE1yk
-----END PGP SIGNATURE-----
Comment 5 Chris Rees 2011-11-16 07:23:53 UTC
It doesn't need one; it's not a problem in the build jails.

The requirement for an fstab during build is a quirk of the port.

Chris
Comment 6 Jim Pirzyk freebsd_committer 2011-11-16 12:18:58 UTC
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Sorry, but it is *not* a quirk.  If I want to have an interface to fstab =
in perl, the port would expect to find a /etc/fstab file.  This is a =
problem with the build team's assumption that jail =3D=3D host and in =
this is proof that assumption is not true.

- - JimP

On Nov 16, 2011, at 2:23 AM, Chris Rees wrote:

> It doesn't need one; it's not a problem in the build jails.
>=20
> The requirement for an fstab during build is a quirk of the port.
>=20
> Chris
>=20

- --- @(#) $Id: dot.signature,v 1.15 2007/12/27 15:06:13 pirzyk Exp $
    __o  jim@pirzyk.org =
--------------------------------------------------
 _'\<,_
(*)/ (*) I'd rather be out biking.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (Darwin)

iFcDBQFOw6oyUQdE3d8ckhQRCEl4AQC8dzsBs/STix+0YUr4+k3MrW3/OS4DJgzn
g1ER7nfpyAD/UOmz9Re2uG+GsqM26vUU2tdGAMxbqy1HRO91Aer5c3k=3D
=3Dsy1M
-----END PGP SIGNATURE-----
Comment 7 Chris Rees 2011-11-17 20:05:38 UTC
OK, the main issue is that the port should only require an fstab on
the _runtime_ system.  If you want a package built, then the _build_
process must cope with an absent fstab.

This shouldn't cause any problems in the generated package, so would
you mind if I commit? It'll at least remove the MANUAL_PACKAGE_BUILD
lines...

Chris
Comment 8 dfilter service freebsd_committer 2011-11-28 20:23:18 UTC
crees       2011-11-28 20:23:10 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/p5-Sys-Filesystem Makefile 
  Log:
  Fake fstab for compile stage, fixing build on package cluster.
  
  PR:             ports/160666
  Approved by:    pirzyk (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.10      +5 -6      ports/sysutils/p5-Sys-Filesystem/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 Chris Rees freebsd_committer 2011-11-28 20:38:10 UTC
State Changed
From-To: feedback->closed

Fixed as discussed.  Thanks!